.HeaderContainer{
    position: sticky;
    background: white;
    top: 0;
}

.SearchField-small-screen{
    display: none;
}

section.HeaderTopBar{
    width: 100%;
    height: 80px;
    display: flex;
    align-items: center;
    justify-content: space-around;
}

.HeaderTopBar .LogoLink{
    font-size: 24px;
    font-weight: 700;
    color: var(--TextDefaultColor);
}

/* Search field */
.SearchField{
   width: 30%; 
   position: relative;
}

.SearchField svg,
.SearchField-small-screen svg{
    position: absolute;
    inset-inline-start: 32px;
    top: 50%;
    left: 4%;
    transform: translateY(-50%);
    pointer-events: none;
}

.SearchField input,
.SearchField-small-screen input{
    width: 480px;
    height: 40px;
    display: -webkit-box;
    display: -webkit-flex;
    display: -ms-flexbox;
    display: flex;
    -webkit-align-items: center;
    -webkit-box-align: center;
    -ms-flex-align: center;
    align-items: center;
    padding-block: 12px;
    -webkit-padding-end: 24px;
    padding-inline-end: 24px;
    -webkit-padding-start: 44px;
    padding-inline-start: 44px;
    border: none;
    border-radius: 23px;
    font-size: 14px;
    font-weight: 400;
    background-color: var(--DefaultBackgroundColor);
    outline: none;
}

/* Search results */ 
.SearchField .search-results,
.SearchField-small-screen .search-results{
    display: none;
    position: absolute;
    top: 48px;
    background-color: var(--LightBackgroundColor);
    border-radius: 8px;
    box-shadow: 0px 4px 16px rgba(157, 157, 157, 0.84);
    z-index: 10;
}

.SearchField input:focus + .search-results{
    display: block;
}

.SearchField .search-results .filter,
.SearchField-small-screen .search-results .filter {
    display: flex;
    padding: 0 16px;
    justify-content: space-between;
    border-bottom: 1px solid var(--border-color);
}

.SearchField .search-results .filter .filter-item,
.SearchField-small-screen .search-results .filter .filter-item{
    font-size: .85rem;
    color: var(--TextDefaultColor);
    margin: 18px 8px 18px 0;
    padding: 7px 18px;
    border: 1px solid var(--border-color);
    border-radius: 18px;
}

.SearchField .search-results .filter .filter-item:hover,
.SearchField-small-screen .search-results .filter .filter-item:hover{
    background: var(--DefaultBackgroundColor);
    cursor: pointer;
    
}

.SearchField .search-results .filter .filter-item.active,
.SearchField-small-screen .search-results .filter .filter-item.active{
    background: var(--DarkBackgroundColor);
    color: var(--LightTextColor);
}

.SearchField .search-results li,
.SearchField-small-screen .search-results li{
    list-style-type: none;
}

.SearchField .search-results .title-result,
.SearchField-small-screen .search-results .title-result{
    width: 100%;
    display: flex;
    justify-content: space-between;
    align-items: center;
    margin: 16px 0 20px;
    padding: 0 16px;
    font-size: .85rem;
}

.SearchField .search-results .title-result .recent,
.SearchField-small-screen .search-results .title-result .recent{
    font-size: .95rem;
}

.SearchField .search-results .title-result .clear:hover,
.SearchField-small-screen .search-results .title-result .clear:hover{
    cursor: pointer;
    text-decoration: underline;
}

.SearchField .search-results .result,
.SearchField-small-screen .search-results .result{
    max-height: 350px;
    overflow-y: auto;
    scrollbar-width: none;
}

.SearchField .search-results .result li img,
.SearchField-small-screen .search-results .result li img{
    width: 28px;
    height: 28px;
    margin-right: 12px;
    border-radius: 4px;
    object-fit: cover;
}

.SearchField .search-results .result li i,
.SearchField-small-screen .search-results .result li i{
    font-style: normal;
    padding: 4px 8px;
    border-radius: 30px;
}

.SearchField .search-results .result li i:hover,
.SearchField-small-screen .search-results .result li i:hover{
    cursor: pointer;
    background: var(--LightBackgroundColor);
}

.SearchField .search-results .result li,
.SearchField-small-screen .search-results .result li{
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 0 16px;
    cursor: pointer;
}

.SearchField .search-results .result li:hover,
.SearchField-small-screen .search-results .result li:hover{
    background-color: var(--DefaultBackgroundColor);
}

.SearchField .search-results .result li .details-container,
.SearchField-small-screen .search-results .result li .details-container{
    display: flex;
    align-items: center;
    padding: 12px 0;
}

.SearchField .search-results .result li .details-container .first-line-text,
.SearchField-small-screen .search-results .result li .details-container .first-line-text{
    font-size: .9rem;
}

.SearchField .search-results .result li .details-container .second-line-text,
.SearchField-small-screen .search-results .result li .details-container .second-line-text{
    font-size: .8rem;
    color: var(--TextDefaultColor);
    opacity: 0.65;
    margin-top: 4px;
}

/* Navigation field */
.nav-and-setting{
    width: 38%;
    display: flex;
    justify-content: end;
    padding-right: 5%;
}

.nav-and-setting a{
    width: 30%;
}
.nav-and-setting a:hover{
    text-decoration: underline;
}

.nav-and-setting .search-icon {
    display: none;
    width: 20px;
    height: 20px;
    cursor: pointer;
    margin-left: 1rem;
}
.nav-and-setting .search-icon:hover{
    opacity: 0.6;
}



/* Responsive design */

@media (max-width: 1000px) {
    section.HeaderTopBar{
        position: relative;
        justify-content: space-between;
        padding: 0 20px;
    }

    .SearchField{
        display: none;
    }
    
    .SearchField-small-screen{
        width: 100%;
        background: var(--LightBackgroundColor);
        position: absolute;
        top: 10px;
        left: 0;
        flex-direction: column;
    }
    
    .SearchField-small-screen .top-section{
        padding: 10px 5% 0;
        align-items: center;
        width: 100%; 
        position: relative;
    }

    .SearchField-small-screen .search-results{
        position: relative;
        box-shadow: none;
        border-top: 1px solid var(--border-color);
    }

    .SearchField-small-screen input{
        width: 100%;
        margin-right: 3%;
    }

    .SearchField-small-screen .cancel{
        color: rgb(29, 165, 77);
        cursor: pointer;
    }

    .SearchField-small-screen svg{
        left: 6.5%;
        top: 60%;
    }

    .SearchField-small-screen .cancel:hover{
        text-decoration: underline;
    }

    .SearchField-small-screen .search-results{
        transform: translateY(-5%);
    }

    .SearchField-small-screen .search-results .filter {
        justify-content: start;
    }

    .nav-and-setting{
        width: 60%;
    }
    
    .nav-and-setting .search-icon{
        display: block;
    }
}

@media (max-width: 550px) {
    .nav-and-setting a{
        display: none;
    }
}